Bug 673638 - Installation within IPA hangs
Summary: Installation within IPA hangs
Keywords:
Status: MODIFIED
Alias: None
Product: Dogtag Certificate System
Classification: Retired
Component: Installer (pkicreate/pkiremove)
Version: 9.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: Matthew Harmsen
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: dogtagIPAv2 676048
TreeView+ depends on / blocked
 
Reported: 2011-01-29 03:34 UTC by Rob Crittenden
Modified: 2015-01-05 00:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 676048 (view as bug list)
Environment:
Last Closed:


Attachments (Terms of Use)
IPA install log (13.68 KB, text/plain)
2011-01-29 03:34 UTC, Rob Crittenden
no flags Details
debug log (9.38 KB, application/x-gzip)
2011-01-29 03:35 UTC, Rob Crittenden
no flags Details
Check for 'undefined' variables . . . (815 bytes, patch)
2011-02-02 03:53 UTC, Matthew Harmsen
awnuk: review+
Details | Diff
Check for 'undefined' variables . . . (813 bytes, patch)
2011-02-02 03:59 UTC, Matthew Harmsen
awnuk: review+
Details | Diff
proposed fix (1.88 KB, patch)
2011-02-12 00:54 UTC, Andrew Wnuk
mharmsen: review+
Details | Diff

Description Rob Crittenden 2011-01-29 03:34:06 UTC
Description of problem:

I've only seen this twice but the symptoms have been the same. The last entry in the debug log is:

[28/Jan/2011:19:09:49][http-9445-2]: Checking wait_dn cn=index1160589769, cn=index, cn=tasks, cn=config

Version-Release number of selected component (if applicable):

pki-ca-9.0.1-2.svn.1762M.20110121T1347z.fc14.noarch

How reproducible:

Sometimes

Steps to Reproduce:
1. ipa-server-install

Comment 1 Rob Crittenden 2011-01-29 03:34:37 UTC
Created attachment 475915 [details]
IPA install log

Comment 2 Rob Crittenden 2011-01-29 03:35:29 UTC
Created attachment 475916 [details]
debug log

Comment 3 Matthew Harmsen 2011-02-02 03:53:09 UTC
Created attachment 476515 [details]
Check for 'undefined' variables . . .

Although we have been unable to replicate this issue, this fix should at least eliminate the following messages:


2011-01-28 19:08:33,539 INFO stderr=Use of uninitialized value $groupname in string ne at /usr/bin/pkicreate line 1183.
Use of uninitialized value $username in string ne at /usr/bin/pkicreate line 1217.

Comment 4 Matthew Harmsen 2011-02-02 03:59:51 UTC
Created attachment 476516 [details]
Check for 'undefined' variables . . .

Although we have been unable to replicate this issue, this fix should at least
eliminate the following messages:


2011-01-28 19:08:33,539 INFO stderr=Use of uninitialized value $groupname in
string ne at /usr/bin/pkicreate line 1183.
Use of uninitialized value $username in string ne at /usr/bin/pkicreate line
1217.

Comment 5 Matthew Harmsen 2011-02-02 04:04:22 UTC
# cd pki

# svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M       base/setup/pkicreate

# svn commit
Sending        base/setup/pkicreate
Transmitting file data .
Committed revision 1808.

Comment 7 Ade Lee 2011-02-10 21:23:32 UTC
So, whats going on here is that the database is being populated, and the VLV indexes are being created. At this point, we wait for the VLV indexes to complete before continuing.

We check as to whether the VLV indexes are complete by looking for a particular entry and checking an attribute within that entry. If the entry does not exist, then we sleep for 1 second and recheck.

In this case, its clear that something went wrong in the directory server to prevent the index from being created. Unfortunately, there are no DS logs to indicate what that might be.

So, there is insufficient information to reproduce this bug.  I will, however, add a log message to this code to try to provide more information, should this situation recur.

Comment 8 Andrew Wnuk 2011-02-12 00:54:16 UTC
Created attachment 478335 [details]
proposed fix

Comment 9 Matthew Harmsen 2011-02-12 01:13:28 UTC
Comment on attachment 478335 [details]
proposed fix

CAVEAT:  As discussed, increase the 'ttl: 1' to 'ttl: 10' in the 'pki/base/kra/shared/conf/vlvtasks.ldif' file as well.

Comment 10 Andrew Wnuk 2011-02-12 01:17:25 UTC
svn commit pki
Sending        pki/base/ca/shared/conf/vlvtasks.ldif
Sending        pki/base/common/src/com/netscape/cms/servlet/csadmin/DatabasePanel.java
Sending        pki/base/kra/shared/conf/vlvtasks.ldif
Transmitting file data ...
Committed revision 1843.


Note You need to log in before you can comment on or make changes to this bug.